import React from "react";
import styled from "styled-components";

const EmptyStyle = styled.div`
    width: 1124px;
    height: 255px;
    background: #FFFFFF;
    border: 1px solid #F0F2F5;
    border-radius: 2px;
`;
const EmptySpanStyle = styled.span`
    width: 216px;
    height: 25px;
    font-family: PingFangSC-Regular;
    font-size: 18px;
    color: #83898F;
    margin-top: 88px;
    margin-left: 454px;
    display: inline-block;
`;
const EmptyButtonDivStyle = styled.div`
    width: 192px;
    height: 30px;
    margin-top: 24px;
    margin-left: 466px;
    display: flex;
    justify-content: space-between;
`;
const EmptyButtonStyle = styled.input`
    width: 86px;
    height: 30px;
    padding: 6px 19px;
    background: #106ECC;
    border-radius: 2px;
    font-family: PingFangSC-Regular;
    font-size: 12px;
    color: #FFFFFF;
    letter-spacing: 0;
    text-align: center;
    cursor: pointer;
`;

function handleClick(e: any){
    const type = e.target.getAttribute('data-type');
    if(type === 1){
        //点击了任务执行
    }else{
        //点击了项目执行
    }
}
function Empty({}){
    return <EmptyStyle>
        <EmptySpanStyle>
            {'目标下暂无执行, 马上创建'}
        </EmptySpanStyle>
        <EmptyButtonDivStyle>
            <EmptyButtonStyle type={'button'} data-type={1} value={'任务执行'} onClick={handleClick}/>
            <EmptyButtonStyle type={'button'} data-type={2} value={'项目执行'} onClick={handleClick}/>
        </EmptyButtonDivStyle>
    </EmptyStyle>
}

export default Empty;