import React from "react";
import styled from "styled-components";

const SpanStyle = styled.span`
    font-family: PingFangSC-Regular;
    font-size: 15px;
    color: #565E66;
`;
interface SpanProps {
    value?: string,
    style?: object
}

function Span({value = '', style = {}}: SpanProps){
    return <SpanStyle style={style}>{value}</SpanStyle>
}

export default Span;