import React from "react";
import styled from "styled-components";

interface CountProps {
    style?: object,
    value: string|number,
    color: string
}

function Count({style = {}, value, color}: CountProps) {
    const CountStyle = styled.span`
        font-family: PingFangSC-Regular;
        font-size: 20px;
        line-height: 28px;
        color: ${color}
    `;
    return <CountStyle style={style}>
        {value}
    </CountStyle>
}

export default Count;